%{?nodejs_find_provides_and_requires}

%global packagename shell-quote
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 1.6.1
Release: 1%{?dist}.3
Summary: Quote and parse shell commands
License: MIT
URL: https://github.com/substack/node-shell-quote#readme
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(array-filter)
BuildRequires: npm(array-map) >= 0.0.0
BuildRequires: npm(array-map) < 0.1.0
BuildRequires: npm(array-reduce) >= 0.0.0
BuildRequires: npm(array-reduce) < 0.1.0
BuildRequires: npm(jsonify) >= 0.0.0
BuildRequires: npm(jsonify) < 0.1.0
%if 0%{?enable_tests}
BuildRequires: npm(tape) >= 2.3.0
%endif

%description
Parse and quote shell commands.


%prep
%setup -q -n package
%nodejs_fixdep array-filter
%nodejs_fixdep --dev tape '>=2.3.0'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tape test/*.js
%endif


%files
%license LICENSE
%doc *.markdown example
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun Oct  2 2016 Oleg Girko <ol@infoserver.lv> - 1.6.1-1
- Initial package.
